﻿using System;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Security;

using JetBrains.Application.PluginSupport;
using JetBrains.ReSharper.Daemon;

// General information
[assembly: AssemblyTitle("FinlogiK.ReSharperContrib")]
[assembly: AssemblyDescription("Plugin for ReSharper")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("FinlogiK Inc.")]
[assembly: AssemblyProduct("FinlogiK.ReSharperContrib")]
[assembly: AssemblyCopyright("Copyright © 2011")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// ReSharper
[assembly: PluginTitle("FinlogiK ReSharper Contrib")]
[assembly: PluginDescription("Adds the 'Arrange static qualifier' quick-fix and code cleanup options.")]
[assembly: PluginVendor("FinlogiK Inc.")]
[assembly: RegisterConfigurableSeverity("MissingStaticQualifier", "Missing static qualifier", HighlightingGroupIds.BestPractice, "Add static qualifier", "A static qualifier (i.e. 'ClassName.') can be added before a reference to a static member.", Severity.SUGGESTION, false, Internal = false)]

// Interop
[assembly: ComVisible(false)]
[assembly: CLSCompliant(false)]

// CAS
[assembly: SecurityTransparent]